<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__common__api__macros__gatt__uuid__char__desc" kind="group">
    <compoundname>group_ble_common_api_macros_gatt_uuid_char_desc</compoundname>
    <title>BLE GATT Characteristic Descriptors UUID</title>
      <sectiondef kind="define">
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1gad26eb2e405e3eb95caabb454af879321" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_EXTENDED_PROPERTIES</name>
        <initializer>(0x2900u)</initializer>
        <briefdescription>
<para>Characteristic Extended Properties. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="343" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="343" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga994ab5a1152fc70e814759c7e85c393b" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_USER_DESCRIPTION</name>
        <initializer>(0x2901u)</initializer>
        <briefdescription>
<para>Characteristic User Description Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="345" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="345" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga6a2d110d472c61c2444af0489f4a54d3" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_CLIENT_CONFIG</name>
        <initializer>(0x2902u)</initializer>
        <briefdescription>
<para>Client Characteristic Configuration Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="347" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="347" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga824ef49ded9c4a4903449039be92067f" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_SERVER_CONFIG</name>
        <initializer>(0x2903u)</initializer>
        <briefdescription>
<para>Server Characteristic Configuration Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="349" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="349" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga68b3577db1bca8b7df02649d5bee293a" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_FORMAT</name>
        <initializer>(0x2904u)</initializer>
        <briefdescription>
<para>Characteristic Format Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="351" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="351" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga86d40573714350b8d2ffca7d1d3b22d1" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_AGGREGATE_FORMAT</name>
        <initializer>(0x2905u)</initializer>
        <briefdescription>
<para>Characteristic Aggregate Format Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="353" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="353" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga824b567b10a51351ca9c4cb05e9570c5" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_VALID_RANGE</name>
        <initializer>(0x2906u)</initializer>
        <briefdescription>
<para>Characteristic Valid Range. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="355" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="355" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1gaa730e18f67d89c7a8daac3cc59bee8f5" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_EXTERNAL_REPORT_REF</name>
        <initializer>(0x2907u)</initializer>
        <briefdescription>
<para>External Report Reference. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="357" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="357" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga28138c8767fe4b3a21acbeadb59d2064" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_REPORT_REFERENCE</name>
        <initializer>(0x2908u)</initializer>
        <briefdescription>
<para>Report Reference. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="359" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="359" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1gad886f03bbeea15a356401f2a13f99950" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_NUMBER_OF_DIGITALS</name>
        <initializer>(0x2909u)</initializer>
        <briefdescription>
<para>Number of Digitals. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="361" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="361" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga4ebee5d36802c0eb110e8832e81f13e8" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_VALUE_TRIGGER_SETTING</name>
        <initializer>(0x290Au)</initializer>
        <briefdescription>
<para>Value Trigger Setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="363" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="363" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1gaef0b91144ac2d192048d15c7c0a006c5" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_ES_CONFIGURATION</name>
        <initializer>(0x290Bu)</initializer>
        <briefdescription>
<para>Environmental Sensing Configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="365" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="365" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1gad0f97efd149278ff35d92a08ef2d0ea8" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_ES_MEASUREMENT</name>
        <initializer>(0x290Cu)</initializer>
        <briefdescription>
<para>Environmental Sensing Measurement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="367" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="367" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga31577da5c19fff6b827cde6bdb8cee83" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_ES_TRIGGER_SETTING</name>
        <initializer>(0x290Du)</initializer>
        <briefdescription>
<para>Environmental Sensing Trigger Setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="369" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="369" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros__gatt__uuid__char__desc_1ga7a55eec592e7440b6dd04f6c4265ed2e" kind="define" prot="public" static="no">
        <name>CY_BLE_UUID_CHAR_TIME_TRIGGER_SETTING</name>
        <initializer>(0x290Eu)</initializer>
        <briefdescription>
<para>Time Trigger Setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="371" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="371" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE GATT Attribute Types defined by GATT Profile UUID macros. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>